diff options
Diffstat (limited to 'shell')
-rwxr-xr-x[-rw-r--r--] | shell/helm-repo-init.sh | 9 | ||||
-rwxr-xr-x | shell/helm2-repo-init.sh | 9 | ||||
-rwxr-xr-x | shell/helm2-verify.sh | 6 |
3 files changed, 19 insertions, 5 deletions
diff --git a/shell/helm-repo-init.sh b/shell/helm-repo-init.sh index fb2f81029..6bf1338e3 100644..100755 --- a/shell/helm-repo-init.sh +++ b/shell/helm-repo-init.sh @@ -2,8 +2,7 @@ # Ensure we fail the job if any steps fail set -e -o pipefail -# client only init, tiller will not be installed -helm init --client-only -cd kubernetes/ || exit -make repo -cd .. +mkdir -p ".chartstorage" +chartmuseum --port=6464 --storage="local" --storage-local-rootdir=".chartstorage" & +helm3 plugin install https://github.com/chartmuseum/helm-push.git +helm3 repo add local http://localhost:6464 diff --git a/shell/helm2-repo-init.sh b/shell/helm2-repo-init.sh new file mode 100755 index 000000000..fb2f81029 --- /dev/null +++ b/shell/helm2-repo-init.sh @@ -0,0 +1,9 @@ +#!/bin/bash +# Ensure we fail the job if any steps fail +set -e -o pipefail + +# client only init, tiller will not be installed +helm init --client-only +cd kubernetes/ || exit +make repo +cd .. diff --git a/shell/helm2-verify.sh b/shell/helm2-verify.sh new file mode 100755 index 000000000..c652a5cf9 --- /dev/null +++ b/shell/helm2-verify.sh @@ -0,0 +1,6 @@ +#!/bin/bash +# Ensure we fail the job if any steps fail +set -e -o pipefail + +cd kubernetes/ +make all |